This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 885491 - NM must allow to disable network scanning [NEEDINFO]
NM must allow to disable network scanning
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: wpa_supplicant (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-09 15:31 EST by Zdenek Kabelac
Modified: 2015-02-17 09:36 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:36:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
dcbw: needinfo? (zkabelac)


Attachments (Terms of Use)

  None (edit)
Description Zdenek Kabelac 2012-12-09 15:31:49 EST
Description of problem:

NM *MUST* have an option to disable  NM scanning - there are multiple points why it should be allowed to do this - i.e. have a look at  Bug 830151.

I'm not sure which version of NM has changed now this behavior that even with configured BSSID it will not be disabled - but current behavior is simply very broken.

NM is not supposed to be smarten then user and there needs to be a way to have it in the user-controlled mode - there are broken hardwares (or at least noone at Intel is going to fix i.e. iwl3945 for this in this century)

Why the latest Intel wifi driver with i7 core laptops are 'fast' enough to handle this NM scan almost not noticeable - but still wastes energy in case I know I do not need/want to have scans running and eating battery.

So ideally each Wifi connection should have another 'flag' just like auto-connection - disable scan when connected.

It seems that during NM scan  UDP packets are simply dropped - making VOIP unusable (end of 2012 and I've to be wire-connected to speak over IP - crazy...)

There is also this patch floating on the net for a long long time - why it's not something like this applied ?

http://www.openmamba.org/showfile.html?file=/pub/openmamba/milestone2/patches/NetworkManager-0.8.2-disable-scan-if-connected.patch


Version-Release number of selected component (if applicable):
NetworkManager-0.9.7.0-9.git20121004.fc19.x86_64

How reproducible:


Steps to Reproduce:
1. run laptop with iwl3945  (T61)
2. ping gateway router
3. watch for ping latency during NM wifi scan
  
Actual results:
periodic significant slowdowns

Expected results:
usable reliable usable Wifi connection

Additional info:
Comment 1 Fedora End Of Life 2013-04-03 10:26:49 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Dan Williams 2013-04-05 13:57:53 EDT
I cannot reproduce this issue with current NM in F18, when setting a BSSID to lock the connection to a specific AP.  When you can reproduce this issue, please run:

sudo dbus-send --system --print-reply --dest=org.freedesktop.NetworkManager /org/freedesktop/NetworkManager org.freedesktop.NetworkManager.SetLogging string:"debug" string:"wifi,wifi_scan"

and then wait at least 5 minutes and attach your /var/log/messages file to this bug report so we can see if NM is requesting a scan for some reason or not.
Comment 3 Zdenek Kabelac 2013-06-29 18:26:35 EDT
Yep - nearly forget about this one -

(I've a bit shortened the log line 
devices/nm-device-wifi.c and only important time sec deviation
and anonymized router names (XXXXXXXXX being my own...
others are surrounding)

It seems to be doing this work over and over again
and I still get scary ping delays when pinging VOIP master server
though it's hard to guess which thing is still influencing it.

So still VOIP in linux with iwl3945 in 2013 is hard thing to do and much easier is to use ethernet connect, while every cheap android phone with CSipSimple can handle VOIP without a single problem on the same router...

(And the usability of Linphone with pulseaudio is another horror story as well)

Here is what debug log shows (it's definitely not passive)

15.665 .c:582] get_active_ap():       matched
20.667 .c:1742] request_wireless_scan(): (wlan0): scan requested but not allowed at this time
20.668 .c:1797] schedule_scan(): (wlan0): scheduled scan in 43 seconds (interval now 43 seconds)
21.663 .c:506] get_active_ap(): (wlan0): active BSSID: 94:0c:6d:ac:46:c8
21.663 .c:516] get_active_ap(): (wlan0): active SSID: 'XXXXXXXXX'
21.664 .c:526] get_active_ap():   Pass #1
21.664 .c:542] get_active_ap():     AP: 'ZZZZZZZZZ'  00:1b:2f:4b:88:38
21.664 .c:550] get_active_ap():       BSSID mismatch
21.664 .c:542] get_active_ap():     AP: 'YYYYYYYYY'  38:60:77:ad:b1:12
21.664 .c:550] get_active_ap():       BSSID mismatch
21.664 .c:542] get_active_ap():     AP: 'XXXXXXXXX'  94:0c:6d:ac:46:c8
21.664 .c:582] get_active_ap():       matched
27.665 .c:506] get_active_ap(): (wlan0): active BSSID: 94:0c:6d:ac:46:c8
27.665 .c:516] get_active_ap(): (wlan0): active SSID: 'XXXXXXXXX'
27.665 .c:526] get_active_ap():   Pass #1
27.665 .c:542] get_active_ap():     AP: 'ZZZZZZZZZ'  00:1b:2f:4b:88:38
27.665 .c:550] get_active_ap():       BSSID mismatch
27.665 .c:542] get_active_ap():     AP: 'YYYYYYYYY'  38:60:77:ad:b1:12
27.665 .c:550] get_active_ap():       BSSID mismatch
27.665 .c:542] get_active_ap():     AP: 'XXXXXXXXX'  94:0c:6d:ac:46:c8
27.665 .c:582] get_active_ap():       matched
33.668 .c:506] get_active_ap(): (wlan0): active BSSID: 94:0c:6d:ac:46:c8
33.668 .c:516] get_active_ap(): (wlan0): active SSID: 'XXXXXXXXX'
33.669 .c:526] get_active_ap():   Pass #1
33.669 .c:542] get_active_ap():     AP: 'ZZZZZZZZZ'  00:1b:2f:4b:88:38
33.669 .c:550] get_active_ap():       BSSID mismatch
33.669 .c:542] get_active_ap():     AP: 'YYYYYYYYY'  38:60:77:ad:b1:12
33.669 .c:550] get_active_ap():       BSSID mismatch
33.669 .c:542] get_active_ap():     AP: 'XXXXXXXXX'  94:0c:6d:ac:46:c8
33.669 .c:582] get_active_ap():       matched
Comment 4 Dan Williams 2013-07-22 15:56:17 EDT
Ok, what this is saying to me is that NetworkManager is not causing the scan requests, it must be done somewhere lower, either in wpa_supplicant or in the kernel.  To debug the supplicant, leave NM locked to the same BSSID, then:

mv /usr/sbin/wpa_supplicant /
killall -TERM wpa_supplicant
/wpa_supplicant -dddtu -f /tmp/sup.log

and let NM connect, then reproduce the latency, and attach /tmp/sup.log as a private attachment (since it may contain details of your network).
Comment 5 Fedora End Of Life 2015-01-09 12:31:22 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 09:36:43 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.